Upstream information

CVE-2016-9394 at MITRE

Description

The jas_seq2d_create function in jas_seq.c in JasPer before 1.900.17 allows remote attackers to cause a denial of service (assertion failure) via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 1.9
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:L/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.5
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1010756 [RESOLVED / FIXED], 1010757 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • jasper >= 1.900.14-195.3.1
  • libjasper1 >= 1.900.14-195.3.1
  • libjasper1-32bit >= 1.900.14-195.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1191
SUSE Linux Enterprise Desktop 12 SP3
  • jasper >= 1.900.14-195.5.1
  • libjasper1 >= 1.900.14-195.5.1
  • libjasper1-32bit >= 1.900.14-195.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-238
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • jasper >= 1.900.14-134.33.3.1
  • libjasper >= 1.900.14-134.33.3.1
  • libjasper-32bit >= 1.900.14-134.33.3.1
  • libjasper-x86 >= 1.900.14-134.33.3.1
Patchnames:
slessp4-jasper-13215
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • jasper >= 1.900.14-195.3.1
  • libjasper1 >= 1.900.14-195.3.1
  • libjasper1-32bit >= 1.900.14-195.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1191
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • jasper >= 1.900.14-195.5.1
  • libjasper1 >= 1.900.14-195.5.1
  • libjasper1-32bit >= 1.900.14-195.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-238
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • jasper >= 1.900.14-195.3.1
  • libjasper1 >= 1.900.14-195.3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1191
SUSE Linux Enterprise Software Development Kit 11 SP4
  • jasper >= 1.900.14-134.33.3.1
  • libjasper-devel >= 1.900.14-134.33.3.1
Patchnames:
sdksp4-jasper-13215
SUSE Linux Enterprise Software Development Kit 12 SP2
  • jasper >= 1.900.14-195.3.1
  • libjasper-devel >= 1.900.14-195.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1191
SUSE Linux Enterprise Software Development Kit 12 SP3
  • jasper >= 1.900.14-195.5.1
  • libjasper-devel >= 1.900.14-195.5.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-238
openSUSE Leap 15.0
  • libjasper4 >= 2.0.14-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libjasper4
openSUSE Leap 42.2
  • jasper >= 1.900.14-175.6.1
  • jasper-debuginfo >= 1.900.14-175.6.1
  • jasper-debugsource >= 1.900.14-175.6.1
  • libjasper-devel >= 1.900.14-175.6.1
  • libjasper1 >= 1.900.14-175.6.1
  • libjasper1-32bit >= 1.900.14-175.6.1
  • libjasper1-debuginfo >= 1.900.14-175.6.1
  • libjasper1-debuginfo-32bit >= 1.900.14-175.6.1
Patchnames:
openSUSE-2017-844
openSUSE Leap 42.3
  • jasper >= 1.900.14-179.1
  • jasper-debuginfo >= 1.900.14-179.1
  • jasper-debugsource >= 1.900.14-179.1
  • libjasper-devel >= 1.900.14-179.1
  • libjasper1 >= 1.900.14-179.1
  • libjasper1-32bit >= 1.900.14-179.1
  • libjasper1-debuginfo >= 1.900.14-179.1
  • libjasper1-debuginfo-32bit >= 1.900.14-179.1
Patchnames:
openSUSE-2017-844


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 jasper Unsupported
SUSE Linux Enterprise Desktop 12 SP2 jasper Released
SUSE Linux Enterprise Desktop 12 SP3 jasper Released
SUSE Linux Enterprise SDK 11 SP4 jasper Released
SUSE Linux Enterprise SDK 12 SP1 jasper Unsupported
SUSE Linux Enterprise SDK 12 SP2 jasper Released
SUSE Linux Enterprise SDK 12 SP3 jasper Released
SUSE Linux Enterprise Server 11 SP4 jasper Released
SUSE Linux Enterprise Server 12 SP1 jasper Unsupported
SUSE Linux Enterprise Server 12 SP2 jasper Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI jasper Released
SUSE Linux Enterprise Server 12 SP3 jasper Released